Bug 627763 - sssd: connection problems with ldapi
sssd: connection problems with ldapi
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 17:48 EDT by Jan Engelhardt
Modified: 2012-03-05 16:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 16:20:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FedoraHosted SSSD 609 None None None Never

  None (edit)
Description Jan Engelhardt 2010-08-26 17:48:18 EDT
Description of problem:
sssd-ldap is unable to use the ldapi:// transport.

Version-Release number of selected component (if applicable):
sssd-1.1.0

How reproducible:


Steps to Reproduce:
1. use ldap_uri = ldapi://%2Fvar%2Frun%2Fslapd%2Fldapi (replace by socket path)
2. clear sssd cache, id yourself
3.
  
Actual results:
no such user

Expected results:


Additional info:
23:46 X3:/var/log/sssd # grep ldapi sssd_LDAP.log 
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_server_status] (7): Status of server '/var/run/slapd/ldapi' is 'name not resolved'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_port_status] (7): Port status of port 0 for server '/var/run/slapd/ldapi' is 'neutral'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_server_status] (7): Status of server '/var/run/slapd/ldapi' is 'name not resolved'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [resolv_gethostbyname_send] (4): Trying to resolve A record of '/var/run/slapd/ldapi'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [set_server_common_status] (4): Marking server '/var/run/slapd/ldapi' as 'resolving name'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [resolv_gethostbyname_done] (4): Trying to resolve AAAA record of '/var/run/slapd/ldapi'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [fo_resolve_service_done] (1): Failed to resolve server '/var/run/slapd/ldapi': Domain name not found
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [set_server_common_status] (4): Marking server '/var/run/slapd/ldapi' as 'not working'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [be_resolve_server_done] (6): Couldn't resolve server (/var/run/slapd/ldapi), resolver returned (4)
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_server_status] (7): Status of server '/var/run/slapd/ldapi' is 'not working'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_server_status] (7): Status of server '/var/run/slapd/ldapi' is 'not working'
(Thu Aug 26 23:45:26 2010) [sssd[be[LDAP]]] [get_server_status] (7): Status of server '/var/run/slapd/ldapi' is 'not working'
Comment 1 Jakub Hrozek 2010-08-27 03:42:01 EDT
Yes, the LDAP provider code needs to be taught to handle ldapi://

I filed upstream ticket #609 to track the issue for the time being.
Comment 2 Bug Zapper 2011-05-31 11:22:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stephen Gallagher 2012-03-05 16:20:19 EST
There are no immediate plans to fix this in SSSD. Patches are welcome.

Note You need to log in before you can comment on or make changes to this bug.